It doesn't minimize.
11/09/2008 03:01 AM - chiiph
Description

I'm running Gentoo Linux, with Quassel 0.3.0.3 and KDE 4.1.72.

| have Quassel in system tray with no problems, but when | try to minimize it to the taskbar, it disappears from it and appears again
maximize but out of focus. I've try to minimize every way | know but it's all the same.

This doesn't happen with any other application, in case you think it's because of my unstable KDE version.

Associated revisions

Revision 366f5e334c898bef4b88605cf5cf2ee2feabffb1 - 01/20/2009 10:31 PM - Marcus Eggenberger

This could / should / oh well you know the drill... just test if minimize to tray now works properly (BR #398)

Revision 366f5e33 - 01/20/2009 10:31 PM - Marcus Eggenberger

This could / should / oh well you know the drill... just test if minimize to tray now works properly (BR #398)

History

#1 - 11/09/2008 01:18 PM - nightrose

| have the same problem.
It is because of having "minimize to tray" and "close to tray" being enabled. If | only enable "close to tray" it works fine.

#2 - 11/15/2008 08:59 PM - Sputnick

| can't reproduce this with a current git version, so | consider this fixed in git.

#3 - 01/11/2009 03:37 AM - kitterma

| can reproduce this with a git snapshot from today if minimize to tray on minimize button is set. If | uncheck that, it goes away.

#4 - 01/11/2009 05:09 AM - kitterma

[22:53:42] <Daisuke_ldo> i just built with git and can't reproduce it

[22:54:08] <ScottK> Daisuke_lIdo: | also have KDE integration on. Dunno if that could matter.

[22:54:13] ScotiK tries again.

[22:54:36] <ScottK> Yep.

[22:54:58] <ScottK> Check off minimize to try on minimize button and it bounces right back up.

[22:55:20] <ScottK> If | click on the icon it's fine.

[22:55:35] <Daisuke_Ido> the kde integration could matter, since i don't use kde at all

[22:55:47] Daisuke_ldo pokes Sput

[22:59:46] <ScottK> Daisuke_Ido: minimize to tray on close button does not cause the problem for me. Just minimize to tray on minimize.
[23:02:22] <Daisuke_ldo> ScottK: is kitterma you?

[23:03:00] <Daisuke_ldo> ScottK: i tried with both, and had no issues. i'm thinking it might involve the kde integration

#5 - 01/11/2009 05:26 AM - Gentle

confirmed with current git version and kde integration enabled. Minimize to tray results in instant unminimizing, while close to tray works

#6 - 01/12/2009 12:11 AM - Sputnick

- Status changed from Resolved to Feedback
- Priority changed from High to Normal

- Target version changed from 0.3.1 to 0.4.0

I'm reopening this, as there have been reports that it still doesn't work for some people. | cannot reproduce this even with KDE integration though, so
we'll need someone to debug that for me...
#7 - 01/13/2009 03:33 PM - Gentle

<freeedrich|> Sput: the problem happens when you have quassel set to "minimize to tray on close". So, on KDE's shutdown it probably receives a
"Quit" event, but instead of quitting it tells kde "nope, | want to go to the tray again" and cancels the Shutdown/Restart process that way.

#8 - 01/21/2009 11:39 AM - EgS
- Status changed from Feedback to Resolved

- Assignee changed from Sputnick to EgS

fixed in current git: http:/qi
